Subject: bug#54589: closed (Re: bug#54589: [PATCH] gnu: emacs-geiser: Update to 0.23.1.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 08 Apr 2022 21:10:02 +0000

Your bug report

#54589: [PATCH] gnu: emacs-geiser: Update to 0.23.1.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54589: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54589
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54589: [PATCH] gnu: emacs-geiser: Update to 0.23.1.
From: Ludovic Courtès <[email-masked]>
To: Olivier Dion <[email-masked]>
Cc: [email-masked]
Date: Fri, 08 Apr 2022 23:09:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Olivier Dion <[email-masked]> skribis:

> I don't think so?  Emacs geiser is already bumped at version 0.23.1, but
> the commit that introduced that change forgot to add the new dependency
> `emacs-project`.
>
> I think that the commit message is confusing, sorry for that.  It should
> probably be `Add missing dependency ` and not `Update to ...`.  Let me
> know what you think.

Indeed, I had overlooked that.  Committed with the commit message
adjusted accordingly.

Thanks,
Ludo’.

Subject: [PATCH] gnu: emacs-geiser: Update to 0.23.1.
From: Olivier Dion <[email-masked]>
To: [email-masked]
Cc: Olivier Dion <[email-masked]>
Date: Sat, 26 Mar 2022 19:11:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/emacs-xyz.scm (emacs-geiser): Update to 0.23.1.
[propagated-inputs]: Add emacs-project.
---
 gnu/packages/emacs-xyz.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index 42fc13f4c2..57a2f574c5 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -271,7 +271,7 @@ (define-public emacs-geiser
     (native-inputs
      (list texinfo))
     (propagated-inputs
-     (list emacs-transient))
+     (list emacs-project emacs-transient))
     (home-page "https://nongnu.org/geiser/")
     (synopsis "Collection of Emacs modes for Scheme hacking")
     (description
-- 
2.34.0